﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register assembly="Syncfusion.EJ.Web" namespace="Syncfusion.JavaScript.Web" tagprefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    
            <script src="Scripts/jquery-1.10.1.min.js"></script>
            <script src="Scripts/jquery.globalize.min.js"></script>
            <script src="Scripts/ej.web.all.min.js"></script>
               <script type="text/javascript">


        function labelFormat(sender)
        {
            var num = sender.data.text;
            sender.data.text = addCommas(num);
        }

        function addCommas(nStr) {
            nStr += '';
            x = nStr.split('.');
            x1 = x[0];
            x2 = x.length > 1 ? '.' + x[1] : '';
            var rgx = /(\d+)(\d{3})/;
            while (rgx.test(x1)) {
                x1 = x1.replace(rgx, '$1' + ',' + '$2');
            }
            return x1 + x2;
        }
    </script>
             <ej:Chart ID="Chart1" runat="server" Width="700" Height="500" CanResize="true" OnClientDisplayTextRendering="labelFormat" OnClientAxesLabelRendering="labelFormat" >
           <PrimaryXAxis Title-Text="Weeks" />
           <PrimaryYAxis  Title-Text="Efficiency"  LabelFormat="n0" />
            <CommonSeriesOptions Type="line" EnableAnimation="true" Tooltip-Visible="true"
                 Marker-Visible="true" Marker-Size-Width="10" Marker-Size-Height="10" 
                 Marker-Shape="Circle"  />
          <Series> 
            <ej:Series EnableSmartLabels="true" Name="India" Fill="#8CC640" >
                    <Points >
                        <ej:Points X="41" Y="7540"/> 
                        <ej:Points X="42" Y="8310" />  
                        <ej:Points X="43" Y="9120" />  
                        <ej:Points X="44" Y="5120" />  
                        <ej:Points X="45" Y="6460"   />
                        <ej:Points X="46" Y="4350"  /> 
                        <ej:Points X="47" Y="8000" Marker-DataLabel-Visible="true"  Marker-DataLabel-Shape="Rectangle" Marker-DataLabel-Font-Color="#000000" />  
                    </Points>
             </ej:Series>
           
            <ej:Series EnableSmartLabels="true" Name="Germany"  >
                    <Points >
                        <ej:Points X="41" Y="7450"/> 
                        <ej:Points X="42" Y="8450" />  
                        <ej:Points X="43" Y="6450" />  
                        <ej:Points X="44" Y="5120" />  
                        <ej:Points X="45" Y="3120"   />
                        <ej:Points X="46" Y="4120"  /> 
                        <ej:Points X="47" Y="8100" Marker-DataLabel-Visible="true" Marker-DataLabel-Shape="Rectangle" Marker-DataLabel-Font-Color="#000000"  />  
                    </Points>
             </ej:Series>
                
            <ej:Series EnableSmartLabels="true" Name="Autralia" >
                    <Points >
                        <ej:Points X="41" Y="7450"/> 
                        <ej:Points X="42" Y="8457" />  
                        <ej:Points X="43" Y="9450" />  
                        <ej:Points X="44" Y="5540" />  
                        <ej:Points X="45" Y="6120"   />
                        <ej:Points X="46" Y="4120"  /> 
                        <ej:Points X="47" Y="9300" Marker-DataLabel-Visible="true"  Marker-DataLabel-Shape="Rectangle" Marker-DataLabel-Font-Color="#000000" />  
                    </Points>
             </ej:Series>
                     
            <ej:Series EnableSmartLabels="true"  Name="NewZealand"  >
                    <Points >
                        <ej:Points X="41" Y="7120"/> 
                        <ej:Points X="42" Y="8780" />  
                        <ej:Points X="43" Y="9450" />  
                        <ej:Points X="44" Y="8450" />  
                        <ej:Points X="45" Y="6020"   />
                        <ej:Points X="46" Y="9000"  /> 
                        <ej:Points X="47" Y="10100" Marker-DataLabel-Visible="true"  Marker-DataLabel-Shape="Rectangle" Marker-DataLabel-Font-Color="#000000" />  
                    </Points>
             </ej:Series>
           </Series>
           <Legend Visible="false"></Legend>
          <Title Text="Efficiency of oil-fired power production"></Title>
      </ej:Chart>
</asp:Content>
